singleton Material(body_door)
{
   mapTo = "body_door";
   diffuseMap[0] = "body_d.png";
   diffuseMap[1] = "body_c.png";
   diffuseColor[0] = "0 0 0 1";
   specularPower[0] = "15";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "0";
   doublesided = "1";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   instanceDiffuse[1] = true;
};

singleton Material(top_m)
{
   mapTo = "top_m";
  // diffuseMap[0] = "body_d.png";
   //diffuseMap[1] = "body_c.png";
   diffuseMap[0] = "vehicles/door/AsphaltRoad.dds";
   specularMap[0] = "vehicles/door/AsphaltRoad.dds";
   normalMap[0] = "vehicles/door/AsphaltRoad_n.dds";
	diffuseMap[1] = "vehicles/door/AsphaltRoad.dds";
   specularMap[1] = "vehicles/door/AsphaltRoad.dds";
   normalMap[1] = "vehicles/door/AsphaltRoad_n.dds";
   //diffuseColor[1] = "0.0 0.0 0.0 0.97";
  // diffuseColor[0] = "0 0 0 1";
   specularPower[0] = "15";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "0";
   doublesided = "1";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   instanceDiffuse[1] = true;
};

singleton Material(beton)
{
   mapTo = "beton";
   diffuseMap[0] = "vehicles/door/concrete.png";
   specularMap[0] = "vehicles/door/concrete.png";
   normalMap[0] = "vehicles/door/concrete_n.png";
	diffuseMap[1] = "vehicles/door/concrete.png";
   specularMap[1] = "vehicles/door/concrete.png";
   normalMap[1] = "vehicles/door/concrete_n.png";
   //diffuseColor[1] = "0.0 0.0 0.0 0.97";
  // diffuseColor[0] = "0 0 0 1";
   specularPower[0] = "15";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "0";
   doublesided = "1";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   instanceDiffuse[1] = true;
};

singleton Material(Wall)
{
   mapTo = "Wall";
   diffuseMap[0] = "vehicles/door/brick.png";
   specularMap[0] = "vehicles/door/brick.png";
   normalMap[0] = "vehicles/door/brick_n.png";
	diffuseMap[1] = "vehicles/door/brick.png";
   specularMap[1] = "vehicles/door/brick.png";
   normalMap[1] = "vehicles/door/brick_n.png";
   //diffuseColor[1] = "0.0 0.0 0.0 0.97";
  // diffuseColor[0] = "0 0 0 1";
   specularPower[0] = "15";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "0";
   doublesided = "1";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   instanceDiffuse[1] = true;
};

singleton Material(chrome)
{
    mapTo = "chrome";
    //diffuseMap[0] = "vehicles/boxcar/tex/body_s.png";
    //specularMap[0] = "vehicles/boxcar/tex/body_c.png";
    //normalMap[0] = "vehicles/boxcar/tex/bodyn.png";
    specularPower[0] = "32";
    pixelSpecular[0] = "0";
    diffuseColor[0] = "1 1 1 1";
	useAnisotropic[0] = "1";
    castShadows = "1";
	doublesided = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(black_chrome)
{
   mapTo = "black_chrome";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/common/null.dds";
   specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[1] = "0.4 0.4 0.4 0.90";
   specularPower[0] = "15";
   useAnisotropic[0] = "1";
   castShadows = "1";
   translucent = "0";
   doublesided = "1";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
};

 singleton Material(white_lamp)
{
    mapTo = "white_lamp";
    diffuseMap[0] = "vehicles/railbar/lampw.png";
    specularMap[0] = "vehicles/railbar/lampw.png";
    normalMap[0] = "vehicles/railbar/lampw_n.dds";
    diffuseColor[0] = "0.5 0.5 0.5 0.5";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    //cubemap = "global_cubemap_metalblurred";
};
 singleton Material(red_lamp)
{
    mapTo = "red_lamp";
    diffuseMap[0] = "vehicles/railbar/lamp.png";
    specularMap[0] = "vehicles/railbar/lamp.png";
    normalMap[0] = "vehicles/railbar/lamp_n.dds";
    diffuseColor[0] = "0.5 0.5 0.5 0.5";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    //cubemap = "global_cubemap_metalblurred";
};


 singleton Material(red_lamp_on)
{
    mapTo = "red_lamp_on";
    
	diffuseMap[2] = "vehicles/railbar/lamp.png";
    specularMap[2] = "vehicles/railbar/lamp.png";
    //normalMap[2] = "vehicles/dmc/tex/DMC-Map-TM-01-Col_n.png";
    diffuseMap[1] = "vehicles/railbar/lamp.png";
    specularMap[1] = "vehicles/railbar/lamp_n.png";
    normalMap[1] = "vehicles/railbar/lamp_n.png";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/railbar/lamp_n.png";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 0 0 1";
    diffuseColor[1] = "1.5 0 0 0.1";
    diffuseColor[2] = "1.5 0 0 0.1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    glow[1] = "1";
    glow[2] = "1";
    emissive[0] = "0";
    emissive[1] = "0";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(red_lamp1)
{
    mapTo = "red_lamp1";
    diffuseMap[0] = "vehicles/railbar/lamp.png";
    specularMap[0] = "vehicles/railbar/lamp.png";
    normalMap[0] = "vehicles/railbar/lamp_n.dds";
    diffuseColor[0] = "0.5 0.5 0.5 0.5";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    //cubemap = "global_cubemap_metalblurred";
};


 singleton Material(red_lamp1_on)
{
    mapTo = "red_lamp1_on";
    
	diffuseMap[2] = "vehicles/railbar/lamp.png";
    specularMap[2] = "vehicles/railbar/lamp.png";
    //normalMap[2] = "vehicles/dmc/tex/DMC-Map-TM-01-Col_n.png";
    diffuseMap[1] = "vehicles/railbar/lamp.png";
    specularMap[1] = "vehicles/railbar/lamp_n.png";
    normalMap[1] = "vehicles/railbar/lamp_n.png";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/railbar/lamp_n.png";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 0 0 1";
    diffuseColor[1] = "1.5 0 0 0.1";
    diffuseColor[2] = "1.5 0 0 0.1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    glow[1] = "1";
    glow[2] = "1";
    emissive[0] = "0";
    emissive[1] = "0";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(white)
{
   mapTo = "white";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/common/null.dds";
   specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[0] = "0.8 0.8 0.8 0.9";
   specularPower[2] = "15";
   useAnisotropic[2] = "1";
   castShadows = "1";
   translucent = "0";
   alphaTest = "1";
   doublesided = "1";
   alphaRef = "0";

};

singleton Material(black_matte)
{
   mapTo = "black_matte";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
	diffuseMap[1] = "vehicles/common/null.dds";
   specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[1] = "0.1 0.1 0.1 0.90";
   specularPower[2] = "15";
   useAnisotropic[2] = "1";
   castShadows = "1";
   doublesided = "1";
   translucent = "0";
   alphaTest = "1";
   alphaRef = "0";
   //dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
};

singleton Material(orange)
{
   mapTo = "orange";
   
   diffuseColor[0] = "1 0.49 0 1";
   
   castShadows = "1";
   translucent = "0";
   alphaTest = "1";
   doublesided = "1";
   alphaRef = "0";

};

singleton Material(green)
{
   mapTo = "green";
  

   diffuseColor[0] = "0.0 0.6 0.2 0.0";

   castShadows = "1";
   translucent = "0";
   alphaTest = "1";
   doublesided = "1";
   alphaRef = "0";

};

singleton Material(yellow)
{
   mapTo = "yellow";
  

   diffuseColor[0] = "0.0 0.6 0.6 0.0";

   castShadows = "1";
   translucent = "0";
   alphaTest = "1";
   doublesided = "1";
   alphaRef = "0";

};

singleton Material(grey)
{
   mapTo = "grey";
  

   diffuseColor[0] = "0.6 0.6 0.6 0.0";

   castShadows = "1";
   translucent = "0";
   alphaTest = "1";
   doublesided = "1";
   alphaRef = "0";
    instanceDiffuse[0] = true;

};

singleton Material(red)
{
   mapTo = "red";
  

   diffuseColor[0] = "1 0.0 0.0 0.0";

   castShadows = "1";
   translucent = "0";
   alphaTest = "1";
   doublesided = "1";
   alphaRef = "0";

};

 singleton Material(black_)
{
   mapTo = "black_";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
	diffuseMap[1] = "vehicles/common/null.dds";
   specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[1] = "0.1 0.1 0.1 0.60";
   specularPower[2] = "15";
   useAnisotropic[2] = "1";
   castShadows = "1";
   doublesided = "1";
   translucent = "0";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
};

singleton Material(light_red)
{
   mapTo = "light_red";
  

   diffuseColor[0] = "0.5 0.0 0.0 0.0";

   castShadows = "1";
   translucent = "0";
   alphaTest = "1";
   doublesided = "1";
   alphaRef = "0";

};

singleton Material(sylver)
{
   mapTo = "sylver";
  

   diffuseColor[0] = "1 0.0 0.0 1.0";

   castShadows = "1";
   translucent = "0";
   alphaTest = "1";
   doublesided = "1";
   alphaRef = "0";

};

singleton Material(under)
{
   mapTo = "under";
    diffuseMap[0] = "vehicles/railbar/watch.png";
    specularMap[0] = "vehicles/railbar/watch.png";
    normalMap[0] = "vehicles/railbar/watch_n.dds";
    diffuseColor[0] = "0.5 0.5 0.5 0.5";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";

};


singleton Material(brown)
{
   mapTo = "brown";
  

   diffuseColor[0] = "1 0.8 0.8 1.0";

   castShadows = "1";
   translucent = "0";
   alphaTest = "1";
   doublesided = "1";
   alphaRef = "0";
};

